@if (campaignViewComponentData) {
  <div class="form-grid" [class.small]="isSmallLayout">
    <sqtm-core-label
      [text]="
        'sqtm-core.campaign-workspace.planning.scheduled-start' | translate
      "
      class="m-r-5"
    >
    </sqtm-core-label>
    <sqtm-core-editable-date-field
      #scheduledStartDate
      (confirmEvent)="
        updateScheduledStartDate(
          $event,
          campaignViewComponentData.campaign.scheduledEndDate
        )
      "
      [allowEmptyValue]="true"
      [disabledDate]="disabledScheduledStartDate"
      [editable]="canEdit"
      [layout]="'compact'"
      [value]="campaignViewComponentData.campaign.scheduledStartDate"
      [attr.data-test-field-id]="'scheduledStartDate'"
    >
    </sqtm-core-editable-date-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.planning.actual-start' | translate"
      class="m-r-5"
    >
    </sqtm-core-label>
    <div class="flex-row">
      <sqtm-core-editable-date-field
        #actualStartDate
        (confirmEvent)="
          updateActualStartDate(
            $event,
            campaignViewComponentData.campaign.actualEndDate
          )
        "
        [allowEmptyValue]="true"
        [disabledDate]="disabledActualStartDate"
        [editable]="isActualStartDateEditable"
        [layout]="'compact'"
        [value]="campaignViewComponentData.campaign.actualStartDate"
        [attr.data-test-field-id]="'actualStartDate'"
        class="m-r-5"
      >
      </sqtm-core-editable-date-field>
      <sqtm-core-editable-check-box
        (confirmEvent)="updateActualStartAuto($event)"
        [editable]="canEdit"
        [sqtmCoreEntityViewEditableCheckbox]="'actualStartAuto'"
        [attr.data-test-field-id]="'actualStartAuto'"
      >
      </sqtm-core-editable-check-box>
      <label class="txt-ellipsis m-l-5">
        {{ 'sqtm-core.entity.test-case.importance.auto' | translate }}
      </label>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.planning.scheduled-end' | translate"
      class="m-r-5"
    >
    </sqtm-core-label>
    <sqtm-core-editable-date-field
      #scheduledEndDate
      (confirmEvent)="
        updateScheduledEndDate(
          $event,
          campaignViewComponentData.campaign.scheduledStartDate
        )
      "
      [allowEmptyValue]="true"
      [disabledDate]="disabledScheduledEndDate"
      [editable]="canEdit"
      [layout]="'compact'"
      [value]="campaignViewComponentData.campaign.scheduledEndDate"
      [attr.data-test-field-id]="'scheduledEndDate'"
    >
    </sqtm-core-editable-date-field>
    <sqtm-core-label
      class="m-r-5"
      [text]="'sqtm-core.campaign-workspace.planning.actual-end' | translate"
    >
    </sqtm-core-label>
    <div class="flex-row">
      <sqtm-core-editable-date-field
        #actualEndDate
        (confirmEvent)="
          updateActualEndDate(
            $event,
            campaignViewComponentData.campaign.actualStartDate
          )
        "
        [allowEmptyValue]="true"
        [disabledDate]="disabledActualEndDate"
        [editable]="isActualEndDateEditable"
        [layout]="'compact'"
        [value]="campaignViewComponentData.campaign.actualEndDate"
        class="m-r-5"
        [attr.data-test-field-id]="'actualEndDate'"
      >
      </sqtm-core-editable-date-field>
      <sqtm-core-editable-check-box
        (confirmEvent)="updateActualEndAuto($event)"
        [editable]="canEdit"
        [sqtmCoreEntityViewEditableCheckbox]="'actualEndAuto'"
        [attr.data-test-field-id]="'actualEndAuto'"
        >>
      </sqtm-core-editable-check-box>
      <label class="txt-ellipsis m-l-5">
        {{ 'sqtm-core.generic.label.auto' | translate }}
      </label>
    </div>
  </div>
}
